#!/usr/bin/python
import sys
import os

try:
    path = (sys.argv[1])
except:
    path = os.sep.join(os.path.abspath(os.path.dirname(sys.argv[0])).split("/")[:-1])

template_head ="# LAYER_CONF_VERSION is increased each time build/conf/bblayers.conf \n\
# changes incompatibly\n\n\
LCONF_VERSION = \"6\" \n\n\
BBPATH = \"${TOPDIR}\"\n\
BBFILES ?= \"\"\n\n\
BBLAYERS ?= \"\\ \n\
  "+path+"/meta \\ \n\
  "+path+"/meta-yocto \\ \n\
  "+path+"/meta-yocto-bsp \\ \n\
  "+path+"/meta-selftest \\ \n"

template_tail ="\" \n\nBBLAYERS_NON_REMOVABLE ?= \"\\ \n\
  "+path+"/meta \\ \n\
  "+path+"/meta-yocto \\\n\" \n"

if "intel-" in path.lower():
    template = template_head+\
    "  "+path+"/meta-intel \\ \n"+\
    "  "+path+"/meta-qt3 \\ \n"+\
    template_tail
elif "lsb" in path.lower():
    template = template_head+\
    "  "+path+"/meta-qt3 \\ \n"+\
    template_tail
else:
    template = template_head + template_tail

with open(path+"/build/conf/bblayers.conf", 'w+') as the_file:
    the_file.write(template)

#  "+path+"/meta-minnow \\ \n\  removed because of bug
#  "+path+"/meta-intel/meta-sugarbay \\ \n\
#  "+path+"/meta-intel/meta-nuc \\ \n\
